#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		__python	/usr/bin/python3
#-----------------------------------------------------------------------------
Name		:	waf
Version		:	2.0.26
Release		:	14.8.0.0%{?dist}
Summary		:	A Python-based build system
 

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	BSD and Python
URL		:	http://waf.io

Source0		:	%{name}-%{version}.tar.bz2

#-----------------------------------------------------------------------------
BuildRequires	:	%{__python}

Requires	:	%{__python}

BuildArch	:	noarch
#-----------------------------------------------------------------------------
%description
Waf is a Python-based framework for configuring, compiling and
installing applications. It is a replacement for other tools such as
Autotools, Scons, CMake or Ant.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc README.md ChangeLog demos
%{_bindir}/%{name}
%{_bindir}/wscript
%{_datadir}/%{name}3/*.py
%{_datadir}/%{name}3/__pycache__/*.pyc
%{_datadir}/%{name}3/extras/*.py
%{_datadir}/%{name}3/extras/__pycache__/*.pyc
%{_datadir}/%{name}3/Tools/*.py
%{_datadir}/%{name}3/Tools/__pycache__/*.pyc

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build
./waf-light						\
	configure					\
        --prefix=%{_prefix}				\
        --bindir=%{_bindir}				\
	--libdir=%{_libdir}				\
	build 						\
		-j4					\
		--make-waf


# fix waf script shebang line
sed -i							\
  -e "1c#! %{__python3}"				\
  wscript						\
  %{name}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}


install -vDm 755 %{name}					\
	-t %{buildroot}%{_bindir}
install -vDm 644 wscript					\
	-t %{buildroot}%{_bindir}

# installing, byte-compiling waflib and stripping pkgdir from it
install -vDm 644 %{name}lib/*.py 				\
	-t %{buildroot}%{_datadir}/%{name}3/
install -vDm 644 %{name}lib/Tools/*.py 				\
	-t %{buildroot}%{_datadir}/%{name}3/Tools/
install -vDm 644 %{name}lib/extras/*.py 			\
	-t %{buildroot}%{_datadir}/%{name}3/extras/

# remove shebangs from and fix EOL for all scripts in wafadmin
find %{buildroot}%{_datadir}/ -name '*.py'		\
     -exec						\
	 sed -i						\
	   -e '1{/^#!/d}' -e 's|\r$||g' {} \;

%{__python}						\
	-m compileall 					\
	-d %{buildroot}%{_datadir}/%{name}3		\
	%{buildroot}%{_datadir}/%{name}3


#-----------------------------------------------------------------------------
%changelog
